clear; clc;

res_m = zeros(5,4); 
res_sd = zeros(5,4);

cc_list = [1,2];
nn_list = [50,100];
for nidx = 1:2
    for cidx = 1:2
        file = strcat('est_n',num2str(nn_list(nidx)),'_c',num2str(cc_list(cidx)),'.mat');
        load(file)
        %sr = [mean(diag(SigmaA)), mean(diag(SigmaC))]/SigmaE; 
        beta_est = paramsA(4:6,:,:);
        beta_error = squeeze(mean(mean((beta_est - repmat(beta,[1,1,nsim])).^2)));
        SigmaA_error = squeeze(mean(mean((SigmaA_est-repmat(SigmaA,[1,1,nsim])).^2)));
        SigmaC_error = squeeze(mean(mean((SigmaC_est-repmat(SigmaC,[1,1,nsim])).^2)));
        SigmaEG_error = squeeze(mean(mean(SigmaE_est.^2)));
        
        SigmaE_error = mean(abs(exp(squeeze(log_WsigmaA(3,:,:)))-SigmaE).^2);
        
        res_m(1,cidx+2*(nidx-1)) = mean(beta_error);    res_sd(1,cidx+2*(nidx-1)) = std(beta_error)/sqrt(nsim);
        res_m(2,cidx+2*(nidx-1)) = mean(SigmaA_error);  res_sd(2,cidx+2*(nidx-1)) = std(SigmaA_error)/sqrt(nsim); 
        res_m(3,cidx+2*(nidx-1)) = mean(SigmaC_error);  res_sd(3,cidx+2*(nidx-1)) = std(SigmaC_error)/sqrt(nsim); 
        res_m(4,cidx+2*(nidx-1)) = mean(SigmaEG_error); res_sd(4,cidx+2*(nidx-1)) = std(SigmaEG_error)/sqrt(nsim);
        res_m(5,cidx+2*(nidx-1)) = mean(SigmaE_error);  res_sd(5,cidx+2*(nidx-1)) = std(SigmaE_error)/sqrt(nsim);
    end
end