clear; clc;

Wres_m = zeros(3,4); 
Wres_se = zeros(3,4);

res_m = zeros(3,4); 
res_se = zeros(3,4);

cc_list = [1,2];
nn_list = [50,100];
for nidx = 1:2
    for cidx = 1:2
        file = strcat('est_n',num2str(nn_list(nidx)),'_c',num2str(cc_list(cidx)),'.mat');
        load(file)
        sigma0  = [diag(SigmaA)'; diag(SigmaC)'; repmat(SigmaE,1,size(SigmaA,1))];
        WsigmaA = exp(log_WsigmaA);
        sigmaA  = exp(paramsA(1:3,:,:));
        Wmse    = squeeze(mean((WsigmaA-repmat(sigma0,1,1,nsim)).^2,2));
        mse     = squeeze(mean((sigmaA-repmat(sigma0,1,1,nsim)).^2,2));

        Wmse_m = mean(Wmse,2); Wmse_se = std(Wmse,0,2)/sqrt(nsim);
        mse_m  = mean(mse,2);  mse_se  = std(mse,0,2)/sqrt(nsim);
        Wres_m(:,cidx+2*(nidx-1)) = Wmse_m;
        Wres_se(:,cidx+2*(nidx-1)) = Wmse_se;
        res_m(:,cidx+2*(nidx-1)) = mse_m;
        res_se(:,cidx+2*(nidx-1)) = mse_se;
    end
end


