lb = 1e-6;
load('testNn50.mat');
err1 = max(mean(p_vec<0.05),lb);
err2 = max(mean(Wp_vec<0.05),lb);
load('testNn100.mat');
err3 = max(mean(p_vec<0.05),lb);
err4 = max(mean(Wp_vec<0.05),lb);
load('testAn50_c02.mat');
pow1 = mean(p_vec<0.05);
pow2 = mean(Wp_vec<0.05);
load('testAn100_c02.mat');
pow3 = mean(p_vec<0.05);
pow4 = mean(Wp_vec<0.05);

subplot(2,2,1); plot(err1,'r'); hold on; plot(err2,'b');
line([0,100],[0.05 0.05],'Color','k');
title('n = 150, rejection rates along fiber tract without genetic effect c=0','FontSize',14); 
xlabel('arclength-(a)', 'FontSize', 10);
ylabel('Type I Error', 'Fontsize', 10);
legend('LRT','WLRT');

subplot(2,2,2); plot(pow1,'r'); hold on; plot(pow2,'b');
title('n = 150, rejection rates along fiber tract when c=0.2','FontSize',14); 
xlabel('arclength-(b)', 'FontSize', 10);
ylabel('Power', 'Fontsize', 10);
legend('LRT','WLRT');

subplot(2,2,3); plot(err3,'r'); hold on; plot(err4,'b');
line([0,100],[0.05 0.05],'Color','k');
title('n = 300, rejection rates along fiber tract without genetic effect c=0','FontSize',14); 
xlabel('arclength-(c)', 'FontSize', 10);
ylabel('Type I Error', 'Fontsize', 10);
legend('LRT','WLRT');

subplot(2,2,4); plot(pow3,'r'); hold on; plot(pow4,'b');
title('n = 300, rejection rates along fiber tract when c=0.2','FontSize',14); 
xlabel('arclength-(d)', 'FontSize', 10);
ylabel('Power', 'Fontsize', 10);
legend('LRT','WLRT');
