function [val] = BW(cM, n1, n2, n3)

[n, p] = size(cM);

mm = zeros(n, p);

NN1 = 2*(n1+n2) + 1;
NN  = 2*(n1+n2) + n3;

for ii = 1:(n1+n2)
    tmp = mean(cM((2*ii-1):(2*ii),:),1);
    mm((2*ii-1):(2*ii),:) = repmat(tmp,2,1);
end

mm(NN1:NN,:) = cM(NN1:NN,:); 
mmm = mean(cM, 1);

B = bsxfun(@minus, mm, mmm);
BB = squeeze(mean(bsxfun(@times, reshape(B,n,1,p), reshape(B,n,p,1)), 1));
W = bsxfun(@minus, cM, mm);
WW = squeeze(mean(bsxfun(@times, reshape(W,n,1,p), reshape(W,n,p,1)), 1));
D = eig(BB, WW);
val = max(D);

end



