function [herit] = YW_h(y, famid, zygosity)

[MZtp1, MZtp2, DZtp1, DZtp2, ~] = FSEM_index(famid, zygosity);

MZs1 = y(MZtp1,:);
MZs2 = y(MZtp2,:);
DZs1 = y(DZtp1,:);
DZs2 = y(DZtp2,:);

sigma_c = max(0, mean( 2*mean(DZs1.*DZs2, 1) - mean(MZs1.*MZs2, 1) ));
sigma_as = mean(MZs1.*MZs2, 1) - sigma_c;
sigma_aces = mean(y.^2, 1);
herit = sigma_as ./ sigma_aces;