addpath('..')

SigmaA = FA_SigmaA_est;
SigmaC = FA_SigmaC_est;

[P, Da] = eig(SigmaA);
[Q, Dc] = eig(SigmaC);

indxa = diag(Da) > 1e-4;
indxc = diag(Dc) > 1e-4;

P = P(:,indxa); Q = Q(:,indxc); 
indx = 2*(1:47);

i = 2;

y = FA_R(i,:)';

M = [P, Q];
coef = FSEM_predict(y(indx), M(indx,:));

indx_p = indx - 1;
y_p = M(indx_p,:)*coef;

plot(y(indx_p),'r'); hold on; plot(y_p,'k')

